# -*- coding: utf-8 -*-
"""AI_TEST.ipynb

Automatically generated by Colaboratory.

Original file is located at
    https://colab.research.google.com/drive/13zN5lcUU2J70KqQBzGruLrioF2rf_844

#Task 3
"""

import numpy as np
from sklearn.tree import DecisionTreeClassifier
import graphviz
from sklearn import tree
import pickle

f = open('a.pkl', 'rb')
clf = pickle.load(f)

f = open('test.dat')

Xs = []

for line in f:
  X = list(list(map(float, line.split())))
  Xs.append(X)
f.close()

results = clf.predict(Xs)
print(results)